{% extends 'base.html.twig' %}

{% block title %}Éditer un produit{% endblock %}

{% block stylesheets %}
<style>
.wrapper-edit{
    height: 100%;
    margin-bottom: 4rem;
}
</style>
{% endblock %}

{% block body %}
    {{ include('header_admin/header_admin.html.twig') }}

    <main>
        <div class="wrapper-edit">
         <div class="container-full text-center">
            <h2 class="mt-4">Éditer - {{ produit.nom }}</h2>
        </div>
        {{ include('produit/_form.html.twig', {'button_label': 'Sauvegarder'}) }}

        <div class="d-flex">
            <a class="btn btn-primary me-2 mt-2" href="{{ path('app_produit_index_admin') }}">Retour</a>
            {{ include('produit/_delete_form.html.twig') }}
        </div>
        </div>
    </main>

    {{ include('footer/footer.html.twig') }}

{% endblock %}

{% block javascripts %}
<script>
window.onload = () => {
    let deleteBtn = document.querySelector('#delete-prod');
    deleteBtn.classList.add('btn', 'btn-danger', 'mt-2');
    deleteBtn.textContent = 'Supprimer';
    deleteBtn.style.fontSize = '16px';
    deleteBtn.classList.remove('p-0');
}
</script>
{% endblock %}